package com.huawei.hwmdemo.vision.delegate;

import android.app.Application;

import androidx.annotation.NonNull;

import com.huawei.hwmdemo.model.MenuGroup;
import com.huawei.hwmdemo.model.FeaturePage;
import com.huawei.hwmdemo.model.ApiPageModel;
import com.huawei.hwmdemo.delegate.IHwmUiDelegate;
import com.huawei.cloudlink.openapi.OpenSDKConfig;

import java.util.List;

public class VisionUiDelegate implements IHwmUiDelegate {

    @NonNull
    @Override
    public String getFloatingMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getFloatingMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public String getAudienceMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getAudienceMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public String getParticipantMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getParticipantMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public String getWebinarMeetingMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getWebinarMeetingMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public String getAudioMeetingMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getAudioMeetingMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public String getVideoMeetingMenuHandle() {
        return null;
    }

    @NonNull
    @Override
    public List<MenuGroup> getVideoMeetingMenuFeatures() {
        return null;
    }

    @NonNull
    @Override
    public List<FeaturePage> getMenuConfigPages() {
        return null;
    }

    @NonNull
    @Override
    public List<ApiPageModel> getSdkApiFeatures() {
        return null;
    }

    @NonNull
    @Override
    public List<FeaturePage> getHomePages() {
        return null;
    }

    @Override
    public int getScreenOrientation() {
        return 0;
    }

    @Override
    public void initOpenSdkUIConfig(OpenSDKConfig sdkConfig) {

    }

    public VisionUiDelegate(Application application) {

    }

}
